Delete Contact Variable
Delete a single variable from a contact or its account.
Requires the contacts:write scope on the API key.
DELETE
/
v1
/
contacts
/
{contact_id}
/
variables
/
{key}
Delete Contact Variable
curl --request DELETE \
--url https://api.topo.io/v1/contacts/{contact_id}/variables/{key} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contacts/{contact_id}/variables/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contacts/{contact_id}/variables/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"contact_variables": {},
"account_variables": {}
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Whether to delete a contact or account variable.
Available options:
contact, account Response
200 - application/json
Successful Response
Was this page helpful?
⌘I
Delete Contact Variable
curl --request DELETE \
--url https://api.topo.io/v1/contacts/{contact_id}/variables/{key} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contacts/{contact_id}/variables/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contacts/{contact_id}/variables/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"contact_variables": {},
"account_variables": {}
}